﻿using System.Windows.Input;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;

namespace PopupDemo.ViewModels
{
  public class DemoViewModel : ViewModelBase
  {
    private bool isOpen;
    public bool IsOpen
    {
      get { return isOpen; }
      set
      {
        if (isOpen != value)
        {
          isOpen = value;
          RaisePropertyChanged(() => IsOpen);
        }
      }
    }

    public ICommand OpenCommand
    {
      get
      {
        return new RelayCommand(
            () =>
            {
              IsOpen = !IsOpen;
            });
      }
    }
  }
}
